#include "IZ_io.h"

int IZ_sprintf(char* buffer, size_t buffer_size, const char* format, ...) {
#if defined IZ_WIN64
	va_list args;
	va_start(args, format);
	int result = sprintf_s(buffer, buffer_size, format, args);
	va_end(args);
	return result;
#else
	va_list args;
	va_start(args, format);
	int result = sprintf(buffer, format, args);
	va_end(args);
	return result;
#endif
}

errno_t IZ_fopen(FILE** file, const char* filename, const char* mode) {
#if defined IZ_WIN64
	return fopen_s(file, filename, mode);
#else
	*file = fopen(filename, mode);
	return *file == NULL ? 1 : 0;
#endif
}
